classification
Title: [benchmarks] Adjust to allow uploading benchmark data to codespeed
Type: enhancement Stage: resolved
Components: Benchmarks Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zach.ware Nosy List: brett.cannon, pitrou, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2015-12-01 18:31 by zach.ware, last changed 2016-02-03 20:20 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
benchmarks.diff zach.ware, 2015-12-01 18:31
Repositories containing patches
https://hg.python.org/sandbox/zware-benchmarks#speed.python.org
Messages (4)
msg255669 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2015-12-01 18:31
Here's a patch to the benchmarks repo that allows running a benchmark on a single interpreter and returning raw data, and provides a script to upload the raw data to a codespeed instance.  It's a bit of a quick hack, but is effective.

This is a prerequisite to getting speed.python.org running.
msg259443 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-02-02 22:42
Patch LGTM, although I'm not sure why the upload script needs to be in the benchmark repo itself.
msg259511 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-02-03 20:15
Fair point, I'll leave out the upload script.

Thanks for the review!
msg259513 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-02-03 20:19
New changeset 9923b81a1d34 by Zachary Ware in branch 'default':
Issue #25774: Add raw mode to perf.py.
https://hg.python.org/benchmarks/rev/9923b81a1d34
History
Date User Action Args
2016-02-03 20:20:05zach.waresetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-02-03 20:19:48python-devsetnosy: + python-dev
messages: + msg259513
2016-02-03 20:15:40zach.waresetmessages: + msg259511
2016-02-02 22:42:34brett.cannonsetassignee: brett.cannon -> zach.ware
messages: + msg259443
2016-02-02 21:58:41brett.cannonsetassignee: brett.cannon
2015-12-01 18:31:55zach.warecreate